#ifndef OJETFLUIDFLUID_H__
#define OJETFLUIDFLUID_H__

enum
{
	JETFLUID_FLUID_OBJECT = 1000,
	
	JETFLUID_FLUID_SCENE,
	
	JETFLUID_FLUID_STARTCACHE,
	JETFLUID_FLUID_STOPCACHE,
	
	JETFLUID_FLUID_STARTFRAME,
	JETFLUID_FLUID_LENGTH,
	JETFLUID_FLUID_CLEARCACHE,
			
	JETFLUID_FLUID_TYPE = 1100,
	JETFLUID_FLUID_TYPE_GRID_LEVELSET, 
	JETFLUID_FLUID_TYPE_GRID_SMOKE,
	JETFLUID_FLUID_TYPE_PARTICLE_SPH,
	JETFLUID_FLUID_TYPE_PARTICLE_PCISPH,
	JETFLUID_FLUID_TYPE_HYBRID_PIC,
	JETFLUID_FLUID_TYPE_HYBRID_FLIP,
	JETFLUID_FLUID_TYPE_HYBRID_APIC,
	
	JETFLUID_FLUID_DISPLAY_GROUP = 1500,
	JETFLUID_FLUID_DISPLAY_SHOW_FAKE_PARTICLES = 1501,
	JETFLUID_FLUID_DISPLAY_VIEWPORT_OFFSET = 1502,
	JETFLUID_FLUID_DISPLAY_PARTICLE_COLOR = 1503,
	JETFLUID_FLUID_DISPLAY_CREATE_THINKING_PARTICLES = 1504,
	
	JETFLUID_FLUID_DISPLAY_INSTANCE = 1600,
	JETFLUID_FLUID_DISPLAY_INSTANCE_CREATE = 1601,
	JETFLUID_FLUID_DISPLAY_INSTANCE_PARTICLEOBJECT = 1602,
	
	JETFLUID_FLUID_DISPLAY_TEXTURE = 1700,
	JETFLUID_FLUID_DISPLAY_TEXTURE_PROJECT = 1701,
	JETFLUID_FLUID_DISPLAY_TEXTURE_MIX = 1702,
	
	JETFLUID_FLUID_GRID_GROUP = 2000,
	JETFLUID_FLUID_GRID_SIZE_X,
	JETFLUID_FLUID_GRID_SIZE_Y,
	JETFLUID_FLUID_GRID_SIZE_Z,
	JETFLUID_FLUID_GRID_CELL_SIZE,
	JETFLUID_FLUID_GRID_USECOMPRESSEDLINEARSYSTEM,
	JETFLUID_FLUID_GRID_VISCOSITYCOEFFICIENT,
	JETFLUID_FLUID_GRID_GLOBALCOMPENSATION,
	
	JETFLUID_FLUID_HYBRID_GROUP = 3000,
	JETFLUID_FLUID_HYBRID_FLIP = 3100,
	JETFLUID_FLUID_HYBRID_FLIP_PIC_BLEND_FACTOR,
	
	JETFLUID_FLUID_SMOKE_GROUP = 4000,
	JETFLUID_FLUID_SMOKE_SMOKE,
	JETFLUID_FLUID_SMOKE_SMOKE_BOUYANCY_DENSITY_FACTOR,
	JETFLUID_FLUID_SMOKE_SMOKE_DIFFUSION_COEFFICIENT,
	JETFLUID_FLUID_SMOKE_SMOKE_DECAY_FACTOR,
	JETFLUID_FLUID_SMOKE_TEMPERATURE,
	JETFLUID_FLUID_SMOKE_TEMPERATURE_DECAY_FACTOR,
	JETFLUID_FLUID_SMOKE_TEMPERATURE_DIFFUSION_COEFFICIENT,
	JETFLUID_FLUID_SMOKE_TEMPERATURE_BOUYANCY_DENSITY_FACTOR,
	
	JETFLUID_FLUID_PARTICLE_GROUP = 5000,
	JETFLUID_FLUID_PARTICLE_SPH = 5100,
	JETFLUID_FLUID_PARTICLE_SPH_TARGET_DENSITY,
	JETFLUID_FLUID_PARTICLE_SPH_TARGET_SPACING,
	JETFLUID_FLUID_PARTICLE_SPH_RELATIVE_KERNAL_RADIUS,
	JETFLUID_FLUID_PARTICLE_SPH_EOS_EXPONENT,
	JETFLUID_FLUID_PARTICLE_SPH_NEGATIVE_PRESSURE_SCALE,
	JETFLUID_FLUID_PARTICLE_SPH_VISCOSITY_COEFFICIENT,
	JETFLUID_FLUID_PARTICLE_SPH_PSEUDO_VISCOSITY_COEFFICIENT,
	JETFLUID_FLUID_PARTICLE_SPH_SPEED_OF_SOUND,
	JETFLUID_FLUID_PARTICLE_SPH_TIME_STEP_LIMIT_SCALE,
	
	JETFLUID_FLUID_PARTICLE_PCISPH = 5200,
	JETFLUID_FLUID_PARTICLE_PCISPH_MAX_DENSITY_ERROR_RATIO,
	JETFLUID_FLUID_PARTICLE_PCISPH_MAX_NUMBER_ITERATIONS,
	
	JETFLUID_FLUID_CACHEMODE = 5300,
	JETFLUID_FLUID_CACHEMODE_INTERNAL = 0,
	JETFLUID_FLUID_CACHEMODE_EXTERNAL = 1,
	JETFLUID_FLUID_CACHEFILE = 5301,
	
	
	
	
	
	
	
	
	
	
	
	
	
};

#endif // OJETFLUID_H__
